#############################################################
#
# distcc
#
#############################################################
DISTCC_SOURCE:=distcc-2.18.3.tar.bz2
DISTCC_SITE:=http://distcc.samba.org/ftp/distcc
DISTCC_DIR:=$(BUILD_DIR)/distcc-2.18.3
DISTCC_CAT:=bzcat
DISTCC_BINARY:=distcc
DISTCC_TARGET_BINARY:=usr/bin/distcc

$(DL_DIR)/$(DISTCC_SOURCE):
	 $(WGET) -P $(DL_DIR) $(DISTCC_SITE)/$(DISTCC_SOURCE)

distcc-source: $(DL_DIR)/$(DISTCC_SOURCE)

$(DISTCC_DIR)/.unpacked: $(DL_DIR)/$(DISTCC_SOURCE)
	$(DISTCC_CAT) $(DL_DIR)/$(DISTCC_SOURCE) | tar -C $(BUILD_DIR) -xf -
	touch  $(DISTCC_DIR)/.unpacked

$(DISTCC_DIR)/.configured: $(DISTCC_DIR)/.unpacked
	(cd $(DISTCC_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share/misc \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		$(DISABLE_NLS) \
		$(DISABLE_LARGEDISTCC) \
		--enable-static \
		--with-included-popt \
		--without-gnome \
		--without-gtk \
	);
	touch  $(DISTCC_DIR)/.configured

$(DISTCC_DIR)/$(DISTCC_BINARY): $(DISTCC_DIR)/.configured
	$(MAKE) $(JLEVEL) -C $(DISTCC_DIR)

$(TARGET_DIR)/$(DISTCC_TARGET_BINARY): $(DISTCC_DIR)/$(DISTCC_BINARY)
	$(MAKE) $(JLEVEL) DESTDIR=$(TARGET_DIR) -C $(DISTCC_DIR) install-programs

distcc: uclibc $(TARGET_DIR)/$(DISTCC_TARGET_BINARY)

distcc-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) -C $(DISTCC_DIR) uninstall
	-$(MAKE) -C $(DISTCC_DIR) clean

distcc-dirclean:
	rm -rf $(DISTCC_DIR)

