#############################################################
#
# dropbear_sshd
#
#############################################################
DROPBEAR_SSHD_SOURCE:=dropbear-0.44.tar.bz2
DROPBEAR_SSHD_SITE:=http://matt.ucc.asn.au/dropbear/releases/
DROPBEAR_SSHD_DIR:=$(BUILD_DIR)/dropbear-0.44
DROPBEAR_SSHD_CAT:=bzcat
DROPBEAR_BINARY:=dropbearmulti

$(DL_DIR)/$(DROPBEAR_SSHD_SOURCE):
	 $(WGET) -P $(DL_DIR) $(DROPBEAR_SSHD_SITE)/$(DROPBEAR_SSHD_SOURCE)

dropbear_sshd-source: $(DL_DIR)/$(DROPBEAR_SSHD_SOURCE)

$(DROPBEAR_SSHD_DIR)/configure: $(DL_DIR)/$(DROPBEAR_SSHD_SOURCE)
	$(DROPBEAR_SSHD_CAT) $(DL_DIR)/$(DROPBEAR_SSHD_SOURCE) | tar -C $(BUILD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(DROPBEAR_SSHD_DIR) $(SOURCE_DIR) dropbear-*.patch

$(DROPBEAR_SSHD_DIR)/Makefile: $(DROPBEAR_SSHD_DIR)/configure
	(cd $(DROPBEAR_SSHD_DIR); rm -rf config.cache; \
		autoconf; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		--disable-zlib \
		--disable-lastlog \
		--disable-utmp \
		--disable-utmpx \
		--disable-wtmp \
		--disable-wtmpx \
		$(DISABLE_NLS) \
		--with-shared \
	);

$(DROPBEAR_SSHD_DIR)/$(DROPBEAR_BINARY): $(DROPBEAR_SSHD_DIR)/Makefile
	$(MAKE) $(JLEVEL) $(TARGET_CONFIGURE_OPTS) MULTI=1 LD=$(TARGET_CC) \
		-C $(DROPBEAR_SSHD_DIR) PROGRAMS="scp dropbear dropbearkey dbclient"

$(TARGET_DIR)/usr/sbin/$(DROPBEAR_BINARY): $(DROPBEAR_SSHD_DIR)/$(DROPBEAR_BINARY)
	install -d -m 755 $(TARGET_DIR)/usr/sbin
	install -d -m 755 $(TARGET_DIR)/usr/bin
	install -m 755 $(DROPBEAR_SSHD_DIR)/$(DROPBEAR_BINARY) $(TARGET_DIR)/usr/sbin
	mkdir -p $(TARGET_DIR)/etc/dropbear
	install -m 755 $(DROPBEAR_SSHD_DIR)/S50dropbear $(TARGET_DIR)/etc/init.d/
	ln -sf ../sbin/$(DROPBEAR_BINARY) $(TARGET_DIR)/usr/sbin/dropbear
	ln -sf ../sbin/$(DROPBEAR_BINARY) $(TARGET_DIR)/usr/bin/dropbearkey
	ln -sf ../sbin/$(DROPBEAR_BINARY) $(TARGET_DIR)/usr/bin/dbclient
	ln -sf ../sbin/$(DROPBEAR_BINARY) $(TARGET_DIR)/usr/bin/ssh
	ln -sf ../sbin/$(DROPBEAR_BINARY) $(TARGET_DIR)/usr/bin/scp

dropbear_sshd: uclibc $(TARGET_DIR)/usr/sbin/$(DROPBEAR_BINARY)

dropbear_sshd-clean:
	rm -rf $(TARGET_DIR)/etc/init.d/S50sshd $(TARGET_DIR)/etc/dropbear
	# No uninstall target - Jean II
	#$(MAKE) DESTDIR=$(TARGET_DIR) $(TARGET_CONFIGURE_OPTS) \
	#	LD=$(TARGET_CC) -C $(DROPBEAR_SSHD_DIR) uninstall
	rm -f $(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY)
	rm -f $(TARGET_DIR)/usr/bin/dropbearkey
	rm -f $(TARGET_DIR)/usr/bin/ssh
	rm -f $(TARGET_DIR)/usr/bin/scp
	-$(MAKE) -C $(DROPBEAR_SSHD_DIR) clean

dropbear_sshd-dirclean:
	rm -rf $(DROPBEAR_SSHD_DIR)

