#############################################################
#
# freetypelib
#
#############################################################
FREETYPE_SOURCE=freetype-2.1.10.tar.gz
FREETYPE_SITE=http://$(BR2_SOURCEFORGE_MIRROR).dl.sourceforge.net/sourceforge/freetype
FREETYPE_DIR=$(BUILD_DIR)/freetype-2.1.10

$(DL_DIR)/$(FREETYPE_SOURCE):
	$(WGET) -P $(DL_DIR) $(FREETYPE_SITE)/$(FREETYPE_SOURCE)

$(FREETYPE_DIR)/.source: $(DL_DIR)/$(FREETYPE_SOURCE)
	zcat $(DL_DIR)/$(FREETYPE_SOURCE) | tar -C $(BUILD_DIR) -xf -
	touch $(FREETYPE_DIR)/.source

$(FREETYPE_DIR)/.configured: $(FREETYPE_DIR)/.source
	(cd $(FREETYPE_DIR); \
		./configure \
		--prefix=/usr \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		--with-gnu-ld \
		--enable-shared \
		--enable-static \
	);
	touch $(FREETYPE_DIR)/.configured;

$(FREETYPE_DIR)/objs/.libs/libfreetype.so.6.3.8: $(FREETYPE_DIR)/.configured
	$(MAKE) -C $(FREETYPE_DIR)
 
$(STAGING_DIR)/lib/libfreetype.so.6.3.8: $(FREETYPE_DIR)/objs/.libs/libfreetype.so.6.3.8
	cp -dpf $(FREETYPE_DIR)/objs/.libs/libfreetype.a $(STAGING_DIR)/lib;
	cp -dpf $(FREETYPE_DIR)/include/ft2build.h $(STAGING_DIR)/include;
	cp -rdpf $(FREETYPE_DIR)/include/freetype $(STAGING_DIR)/include;
	cp -dpf $(FREETYPE_DIR)/objs/.libs/libfreetype.so* $(STAGING_DIR)/lib;
	(cd $(STAGING_DIR)/lib; ln -fs libfreetype.so.6.3.8 libfreetype.so.6);
	chmod a-x $(STAGING_DIR)/lib/libfreetype.so.6.3.8

$(TARGET_DIR)/lib/libfreetype.so.6.3.8: $(STAGING_DIR)/lib/libfreetype.so.6.3.8
	cp -dpf $(STAGING_DIR)/lib/libfreetype.so* $(TARGET_DIR)/lib;
	-$(STRIP) --strip-unneeded $(TARGET_DIR)/lib/libfreetype.so*

$(TARGET_DIR)/usr/lib/libfreetype.a: $(STAGING_DIR)/lib/libfreetype.so.6.3.8
	mkdir -p $(TARGET_DIR)/usr/include
	cp -dpf $(STAGING_DIR)/include/ft2build.h $(TARGET_DIR)/usr/include/
	cp -rdpf $(STAGING_DIR)/include/freetype $(TARGET_DIR)/usr/include/
	cp -dpf $(STAGING_DIR)/lib/libfreetype.a $(TARGET_DIR)/usr/lib/
	rm -f $(TARGET_DIR)/lib/libfreetype.so
	(cd $(TARGET_DIR)/usr/lib; ln -fs ../../lib/libfreetype.so.6.3.8 libfreetype.so)

freetypelib-headers: $(TARGET_DIR)/usr/lib/libfreetype.a

freetypelib: uclibc $(TARGET_DIR)/lib/libfreetype.so.6.3.8

freetypelib-source: $(DL_DIR)/$(FREETYPE_SOURCE)

freetypelib-clean:
	rm -f $(TARGET_DIR)/lib/libfreetype.so*
	-$(MAKE) -C $(FREETYPE_DIR) clean

freetypelib-dirclean:
	rm -rf $(FREETYPE_DIR)

