#############################################################
#
# hostap config file
#
# The driver can only cross compile properly as part of the kernel, which
# mean we can't build it via the HostAP package. For most users, the only
# thing they need is the Pcmcia config file, and not the utilities.
# This package just get the config file, and is therefore lighter/faster
# than the regualr HostAP package.
# 
#############################################################
HOSTAP_CONF_SOURCE_URL=http://hostap.epitest.fi/cgi-bin/viewcvs.cgi/hostap/driver/etc/hostap_cs.conf?rev=HEAD&content-type=text/plain
HOSTAP_CONF_SOURCE=hostap_cs.conf

$(DL_DIR)/$(HOSTAP_CONF_SOURCE):
	$(WGET) -P $(DL_DIR) "$(HOSTAP_CONF_SOURCE_URL)" -O $(DL_DIR)/$(HOSTAP_CONF_SOURCE)

hostap-conf-source: $(DL_DIR)/$(HOSTAP_CONF_SOURCE)

$(TARGET_DIR)/etc/pcmcia/$(HOSTAP_CONF_SOURCE): $(DL_DIR)/$(HOSTAP_CONF_SOURCE)
	# Copy the pcmcia-cs conf file
	-mkdir -p $(TARGET_DIR)/etc/pcmcia
	cp -Rf $(DL_DIR)/$(HOSTAP_CONF_SOURCE) $(TARGET_DIR)/etc/pcmcia/
	$(SOURCE_DIR)/patch-kernel.sh $(TARGET_DIR)/etc/pcmcia $(SOURCE_DIR) hostap-conf*.patch

hostap-conf: pcmcia $(TARGET_DIR)/etc/pcmcia/$(HOSTAP_CONF_SOURCE)

hostap-conf-clean:
	rm -f $(TARGET_DIR)/etc/pcmcia/$(HOSTAP_CONF_SOURCE)

hostap-conf-dirclean:
	rm -f $(DL_DIR)/$(HOSTAP_CONF_SOURCE)

