#############################################################
#
# Build the jffs2 root filesystem image
#
#############################################################

jffs2root: host-mtd-utils
	-@find $(TARGET_DIR) -type f -perm +111 | xargs $(STRIP) 2>/dev/null || true;
	@rm -rf $(TARGET_DIR)/usr/man
	@rm -rf $(TARGET_DIR)/usr/info
	@echo "=============================================================================="
	@echo "FERAL ROBOTS: patching files in /etc (check for errors; ignore if re-applying)"
	@echo "=============================================================================="
	-cd $(TARGET_DIR); patch -p1 -N < $(SOURCE_DIR)/feral-robot-etc-changes.patch
	$(STAGING_DIR)/sbin/$(MKFS_JFFS2) --little-endian --squash-uids -e 0x20000 \
		-D $(SOURCE_DIR)/device_table.txt -d $(TARGET_DIR) \
		-o $(IMAGE)

jffs2root-clean:
	-$(MAKE) $(JLEVEL) -C $(MTD_DIR) clean

jffs2root-dirclean:
	rm -rf $(MTD_DIR)

