#############################################################
#
# libmad
#
#############################################################

LIBMAD_VERSION=0.15.1b

# Don't alter below this line unless you (think) you know
# what you are doing! Danger, Danger!

LIBMAD_SOURCE=libmad-$(LIBMAD_VERSION).tar.gz
LIBMAD_SITE=http://$(BR2_SOURCEFORGE_MIRROR).dl.sourceforge.net/sourceforge/mad/
LIBMAD_DIR=$(BUILD_DIR)/${shell basename $(LIBMAD_SOURCE) .tar.gz}
LIBMAD_WORKDIR=$(BUILD_DIR)/libmad-$(LIBMAD_VERSION)

$(DL_DIR)/$(LIBMAD_SOURCE):
	$(WGET) -P $(DL_DIR) $(LIBMAD_SITE)/$(LIBMAD_SOURCE)

$(LIBMAD_DIR)/.unpacked:	$(DL_DIR)/$(LIBMAD_SOURCE)
	gzip -d -c $(DL_DIR)/$(LIBMAD_SOURCE) | tar -C $(BUILD_DIR) -xf -
	touch $(LIBMAD_DIR)/.unpacked

$(LIBMAD_DIR)/.configured: $(LIBMAD_DIR)/.unpacked
	(cd $(LIBMAD_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--sysconfdir=/etc \
		--enable-fpm=arm \
		--disable-shared \
		--enable-speed \
		$(DISABLE_NLS) \
	);
	touch  $(LIBMAD_DIR)/.configured

$(LIBMAD_WORKDIR)/.libs:	$(LIBMAD_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(LIBMAD_WORKDIR)

$(STAGING_DIR)/lib/libmad.a: 	$(LIBMAD_WORKDIR)/.libs
	$(MAKE) prefix=$(STAGING_DIR) -C $(LIBMAD_WORKDIR) install

libmad:	uclibc $(STAGING_DIR)/lib/libmad.a

libmad-source: $(DL_DIR)/$(LIBMAD_SOURCE)

libmad-clean:
	@if [ -d $(LIBMAD_WORKDIR)/Makefile ] ; then \
		$(MAKE) -C $(LIBMAD_WORKDIR) clean ; \
	fi;

libmad-dirclean:
	rm -rf $(LIBMAD_DIR) $(LIBMAD_WORKDIR)

