#############################################################
#
# libogg, shamelessly modified from libid3tag
#
#############################################################

LIBOGG_VERSION=1.1

# Don't alter below this line unless you (think) you know
# what you are doing! Danger, Danger!

LIBOGG_SOURCE=libogg-$(LIBOGG_VERSION).tar.gz
LIBOGG_SITE=http://www.vorbis.com/files/1.0.1/unix
LIBOGG_DIR=$(BUILD_DIR)/${shell basename $(LIBOGG_SOURCE) .tar.gz}
LIBOGG_WORKDIR=$(BUILD_DIR)/libogg-$(LIBOGG_VERSION)

$(DL_DIR)/$(LIBOGG_SOURCE):
	$(WGET) -P $(DL_DIR) $(LIBOGG_SITE)/$(LIBOGG_SOURCE)

$(LIBOGG_DIR)/.unpacked:	$(DL_DIR)/$(LIBOGG_SOURCE)
	gzip -d -c $(DL_DIR)/$(LIBOGG_SOURCE) | tar -C $(BUILD_DIR) -xf -
	touch $(LIBOGG_DIR)/.unpacked

$(LIBOGG_DIR)/.configured: $(LIBOGG_DIR)/.unpacked
	(cd $(LIBOGG_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--sysconfdir=/etc \
		--disable-shared \
		$(DISABLE_NLS) \
	);
	touch  $(LIBOGG_DIR)/.configured

$(LIBOGG_WORKDIR)/.libs:	$(LIBOGG_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(LIBOGG_WORKDIR)

$(STAGING_DIR)/lib/libogg.a: 	$(LIBOGG_WORKDIR)/.libs
	$(MAKE) prefix=$(STAGING_DIR) -C $(LIBOGG_WORKDIR) install

libogg:	uclibc $(STAGING_DIR)/lib/libogg.a

libogg-source: $(DL_DIR)/$(LIBOGG_SOURCE)

libogg-clean:
	@if [ -d $(LIBOGG_WORKDIR)/Makefile ] ; then \
		$(MAKE) -C $(LIBOGG_WORKDIR) clean ; \
	fi;

libogg-dirclean:
	rm -rf $(LIBOGG_DIR) $(LIBOGG_WORKDIR)

