#############################################################
#
# libpcap
#
#############################################################
#
LIBPCAP_SOURCE_URL=http://www.tcpdump.org/release
LIBPCAP_SOURCE=libpcap-0.8.3.tar.gz
LIBPCAP_BUILD_DIR=$(BUILD_DIR)/libpcap-0.8.3

$(DL_DIR)/$(LIBPCAP_SOURCE):
	 $(WGET) -P $(DL_DIR) $(TCPDUMP_SOURCE_URL)/$(LIBPCAP_SOURCE)

$(LIBPCAP_BUILD_DIR)/.unpacked: $(DL_DIR)/$(LIBPCAP_SOURCE)
	zcat $(DL_DIR)/$(LIBPCAP_SOURCE) | tar -C $(BUILD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(LIBPCAP_BUILD_DIR) $(SOURCE_DIR) libpcap*.patch
	touch $(LIBPCAP_BUILD_DIR)/.unpacked

$(LIBPCAP_BUILD_DIR)/.configured: $(LIBPCAP_BUILD_DIR)/.unpacked
	(cd $(LIBPCAP_BUILD_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
		--with-pcap=linux \
		--with-linux-vers=2.6.11 \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix="$(STAGING_DIR)" \
	);
	touch  $(LIBPCAP_BUILD_DIR)/.configured

$(LIBPCAP_BUILD_DIR)/libpcap.a: $(LIBPCAP_BUILD_DIR)/.configured
	$(MAKE) $(JLEVEL) -C $(LIBPCAP_BUILD_DIR)

$(STAGING_DIR)/lib/libpcap.a: $(LIBPCAP_BUILD_DIR)/libpcap.a
	$(MAKE) -C $(LIBPCAP_BUILD_DIR) install


.PHONY: libpcap-source libpcap

libpcap: $(STAGING_DIR)/lib/libpcap.a

libpcap-source: $(DL_DIR)/$(LIBPCAP_SOURCE)

libpcap-clean:
	-$(MAKE) -C $(LIBPCAP_BUILD_DIR) clean

libpcap-dirclean:
	rm -rf $(LIBPCAP_BUILD_DIR) $(TCPDUMP_BUILD_DIR)
