#############################################################
#
# openobex
#
#############################################################
OPENOBEX_SITE:=http://umn.dl.sourceforge.net/sourceforge/openobex
OPENOBEX_CAT:=zcat
OPENOBEX_LIBS_SOURCE:=openobex-1.0.1.tar.gz
OPENOBEX_APPS_SOURCE:=openobex-apps-1.0.0.tar.gz
OPENOBEX_LIBS_DIR:=$(BUILD_DIR)/openobex-1.0.1
OPENOBEX_APPS_DIR:=$(BUILD_DIR)/openobex-apps-1.0.0
OPENOBEX_LIB:=src/libopenobex.la
OPENOBEX_TARGET_LIB:=usr/lib/libopenobex.so
OBEX_SERVER_SITE:=http://www.frasunek.com/sources/unix
OBEX_SERVER_SOURCE:=obexserver.c
OBEX_SERVER_TARGET_BIN:=usr/sbin/obexserver
OPD_SITE:=http://oss.bdit.de/download
OPD_SOURCE:=opd-v0.2-2003-03-18.tgz
OPD_DIR:=$(BUILD_DIR)/opd
OPD_TARGET_BIN:=usr/sbin/opd

$(DL_DIR)/$(OPENOBEX_LIBS_SOURCE):
	$(WGET) -P $(DL_DIR) $(OPENOBEX_SITE)/$(OPENOBEX_LIBS_SOURCE)

$(DL_DIR)/$(OPENOBEX_APPS_SOURCE):
	$(WGET) -P $(DL_DIR) $(OPENOBEX_SITE)/$(OPENOBEX_APPS_SOURCE)

$(DL_DIR)/$(OBEX_SERVER_SOURCE):
	$(WGET) -P $(DL_DIR) $(OBEX_SERVER_SITE)/$(OBEX_SERVER_SOURCE)

$(DL_DIR)/$(OPD_SOURCE):
	$(WGET) -P $(DL_DIR) $(OPD_SITE)/$(OPD_SOURCE)

openobex-source: $(DL_DIR)/$(OPENOBEX_LIBS_SOURCE) $(DL_DIR)/$(OPENOBEX_APPS_SOURCE) $(DL_DIR)/$(OBEX_SERVER_SOURCE) $(DL_DIR)/$(OPD_SOURCE)

$(OPENOBEX_LIBS_DIR)/configure: $(DL_DIR)/$(OPENOBEX_LIBS_SOURCE)
	$(OPENOBEX_CAT) $(DL_DIR)/$(OPENOBEX_LIBS_SOURCE) | tar -C $(BUILD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(OPENOBEX_LIBS_DIR) $(SOURCE_DIR) openobex-libs-*.patch
	touch $@

$(OPENOBEX_APPS_DIR)/configure: $(DL_DIR)/$(OPENOBEX_APPS_SOURCE)
	$(OPENOBEX_CAT) $(DL_DIR)/$(OPENOBEX_APPS_SOURCE) | tar -C $(BUILD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(OPENOBEX_APPS_DIR) $(SOURCE_DIR) openobex-apps-*.patch
	touch $@

$(OPD_DIR)/Makefile: $(DL_DIR)/$(OPD_SOURCE)
	mkdir -p $(OPD_DIR)
	$(OPENOBEX_CAT) $(DL_DIR)/$(OPD_SOURCE) | tar -C $(OPD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(OPD_DIR) $(SOURCE_DIR) opd-*.patch
	touch $@

$(OPENOBEX_LIBS_DIR)/Makefile: $(OPENOBEX_LIBS_DIR)/configure
	(cd $(OPENOBEX_LIBS_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="-I$(STAGING_DIR)/include $(TARGET_CFLAGS)" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		--disable-static \
		$(DISABLE_NLS) \
	);

$(OPENOBEX_APPS_DIR)/Makefile: $(OPENOBEX_APPS_DIR)/configure
	(cd $(OPENOBEX_APPS_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="-I$(STAGING_DIR)/include $(TARGET_CFLAGS)" \
		OPENOBEX_CONFIG="$(STAGING_DIR)/bin/openobex-config" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		$(DISABLE_NLS) \
	);

$(OPENOBEX_LIBS_DIR)/$(OPENOBEX_LIB): $(OPENOBEX_LIBS_DIR)/Makefile
	$(MAKE) $(JLEVEL) -C $(OPENOBEX_LIBS_DIR)

$(OPENOBEX_APPS_DIR)/src/obex_test: $(TARGET_DIR)/$(OPENOBEX_TARGET_LIB) $(OPENOBEX_APPS_DIR)/Makefile
	$(MAKE) $(JLEVEL) -C $(OPENOBEX_APPS_DIR)

$(TARGET_DIR)/$(OPENOBEX_TARGET_LIB): $(OPENOBEX_LIBS_DIR)/$(OPENOBEX_LIB)
	$(MAKE) DESTDIR=$(TARGET_DIR) -C $(OPENOBEX_LIBS_DIR) install
	rm -rf $(TARGET_DIR)/share/locale $(TARGET_DIR)/usr/info \
		$(TARGET_DIR)/usr/man $(TARGET_DIR)/usr/share/doc \
		$(STAGING_DIR)/include/openobex
	mv $(TARGET_DIR)/usr/include/openobex $(STAGING_DIR)/include
	mv -f $(TARGET_DIR)/usr/bin/openobex-config $(STAGING_DIR)/bin/openobex-config
	sed -i -e "3,4s;/usr;$(STAGING_DIR);" $(STAGING_DIR)/bin/openobex-config
	sed -i -e "5ithe_libs=-L$(TARGET_DIR)/usr/lib" $(STAGING_DIR)/bin/openobex-config

$(TARGET_DIR)/$(OBEX_SERVER_TARGET_BIN): $(DL_DIR)/$(OBEX_SERVER_SOURCE) $(OPENOBEX_APPS_DIR)/src/obex_test
	$(MAKE) DESTDIR=$(TARGET_DIR) -C $(OPENOBEX_APPS_DIR) install
	$(TARGET_CC) $(TARGET_CFLAGS) -I$(STAGING_DIR)/include -L$(TARGET_DIR)/usr/lib -o $@ $< $(OPENOBEX_APPS_DIR)/src/libmisc.a -lopenobex
	$(STRIP) $@

$(TARGET_DIR)/$(OPD_TARGET_BIN): $(OPD_DIR)/Makefile $(TARGET_DIR)/$(OPENOBEX_TARGET_LIB)
	(cd $(OPD_DIR); \
	 $(TARGET_CC) $(TARGET_CFLAGS) -I$(STAGING_DIR)/include -L$(TARGET_DIR)/usr/lib -o $@ main.c lib.c obex_handler.c -lopenobex -lbluetooth \
	)

openobex: uclibc bluez-libs-staging bluez-libs $(TARGET_DIR)/$(OPENOBEX_TARGET_LIB) $(TARGET_DIR)/$(OBEX_SERVER_TARGET_BIN) $(TARGET_DIR)/$(OPD_TARGET_BIN)

openobex-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(OPENOBEX_DIR) uninstall
	-$(MAKE) -C $(OPENOBEX_DIR) clean

openobex-dirclean:
	rm -rf $(OPENOBEX_DIR)

