#############################################################
#
# orinico
#
#############################################################
ORINOCO_VERSION=0.15rc4
ORINOCO_SOURCE=orinoco-${ORINOCO_VERSION}.tar.gz
ORINOCO_SITE=http://$(BR2_SOURCEFORGE_MIRROR).dl.sourceforge.net/sourceforge/orinoco
ORINOCO_DIR=$(BUILD_DIR)/orinoco-${ORINOCO_VERSION}
ORINOCO_MODULES=hermes.ko  orinoco_cs.ko  orinoco.ko  spectrum_cs.ko

pathsearch = $(firstword $(wildcard $(addsuffix /$(1),$(subst :, ,/sbin))))
DEPMOD_TMP := $(call pathsearch,depmod)
ifneq "$(DEPMOD_TMP)" "/sbin/depmod"
DEPMOD=$(BUSYBOX_DIR)/examples/depmod.pl
echo DEPMOD1=$(DEPMOD)
else
DEPMOD=/sbin/depmod
echo DEPMOD2=$(DEPMOD)
endif                                                                                                                                                                                                  

$(DL_DIR)/$(ORINOCO_SOURCE):
	$(WGET) -nH -P $(DL_DIR) $(ORINOCO_SITE)/$(ORINOCO_SOURCE) -O $(DL_DIR)/$(ORINOCO_SOURCE)

orinoco-source: $(DL_DIR)/$(ORINOCO_SOURCE)

$(ORINOCO_DIR)/.unpacked: orinoco-source
	zcat $(DL_DIR)/$(ORINOCO_SOURCE) | tar -C $(BUILD_DIR) -xf -
	touch $(ORINOCO_DIR)/.unpacked

$(ORINOCO_DIR)/hermes.ko: $(ORINOCO_DIR)/.unpacked
	$(MAKE) -C $(ORINOCO_DIR) DESTDIR="$(TARGET_DIR)" KERNEL_PATH="$(LINUX_DIR)" CROSS_COMPILE="$(KERNEL_CROSS)" ARCH=$(ARCH) CC="$(TARGET_CC)" EXTRA_CFLAGS="$(TARGET_CFLAGS) -Wall -MMD -I$(ORINOCO_DIR)" modules
	cp -Rf $(ORINOCO_DIR)/*.ko $(TARGET_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/wireless

$(TARGET_DIR)/etc/pcmcia/hermes.conf: $(ORINOCO_DIR)/hermes.ko
	$(MAKE) -C $(ORINOCO_DIR) hermes.conf
	-mkdir -p $(TARGET_DIR)/etc/pcmcia
	cp -Rf $(ORINOCO_DIR)/hermes.conf $(TARGET_DIR)/etc/pcmcia

orinoco: linux pcmcia $(TARGET_DIR)/etc/pcmcia/hermes.conf

orinoco-clean:
	-$(MAKE) -C $(ORINOCO_DIR) clean

orinoco-dirclean:
	rm -rf $(ORINOCO_DIR)

