#############################################################
#
# Perl (actually, just miniperl)
#
#############################################################
PERL_VERSION:=5.8.6
PERL_SOURCE:=perl-$(PERL_VERSION).tar.gz
PERL_SITE:=ftp://ftp.cpan.org/pub/CPAN/src
PERL_DIR:=$(BUILD_DIR)/perl-$(PERL_VERSION)
PERL_CAT:=zcat
PERL_BINARY:=perl
PERL_TARGET_BINARY:=usr/bin/perl

$(DL_DIR)/$(PERL_SOURCE):
	 $(WGET) -P $(DL_DIR) $(PERL_SITE)/$(PERL_SOURCE)

perl-source: $(DL_DIR)/$(PERL_SOURCE)

$(PERL_DIR)/.unpacked: $(DL_DIR)/$(PERL_SOURCE)
	$(PERL_CAT) $(DL_DIR)/$(PERL_SOURCE) | tar -C $(BUILD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(PERL_DIR) $(SOURCE_DIR)/perl *.patch
	touch $(PERL_DIR)/.unpacked

perl-unpacked: $(PERL_DIR)/.unpacked

$(PERL_DIR)/.configured: $(PERL_DIR)/.unpacked
	(for i in config.sh Policy.sh; do \
		cp $(SOURCE_DIR)/perl/$$i $(PERL_DIR); \
		$(SED) "s,XXXTARGETDIRXXX,$(TARGET_DIR),g;s,XXXPERLDIRXXX,$(PERL_DIR),g;s,XXXSTAGINGDIRXXX,$(STAGING_DIR),g" $(PERL_DIR)/$$i; \
	done)
	$(SED) "s,arm-linux-gcc,$(TARGET_CC),g" $(PERL_DIR)/config.sh
	(cd $(PERL_DIR); ./Configure -S)
	touch $(PERL_DIR)/.configured

perl-configured: $(PERL_DIR)/.configured

$(PERL_DIR)/$(PERL_BINARY): $(PERL_DIR)/.configured
	$(MAKE) -C $(PERL_DIR)

perl-build: $(PERL_DIR)/$(PERL_BINARY)

$(TARGET_DIR)/$(PERL_TARGET_BINARY): $(PERL_DIR)/$(PERL_BINARY)
	$(MAKE) -C $(PERL_DIR) DESTDIR=$(TARGET_DIR) INSTALLFLAGS="-p -v" install.perl
	mv $(TARGET_DIR)/$(PERL_TARGET_BINARY)$(PERL_VERSION) $(TARGET_DIR)/$(PERL_TARGET_BINARY)
	echo rm `basename $(PERL_TARGET_BINARY)`/*$(PERL_VERSION)
	rm -rf $(TARGET_DIR)/usr/lib/perl5/$(PERL_VERSION)/unicore

perl: uclibc $(TARGET_DIR)/$(PERL_TARGET_BINARY)

perl-clean:
	rm -rf $(TARGET_DIR)/usr/lib/perl5
	(cd $(TARGET_DIR)/usr/bin; \
	 rm -f perl a2p pod2man pod2latex pod2html podselect podchecker pod2usage pod2text pstruct dprofpp cpan c2ph h2ph enc2xs perlbug libnetcfg instmodsh h2xs perlivp perldoc perlcc prove pl2pm piconv xsubpp splain s2p psed find2perl *$(PERL_VERSION)\
	)
	-$(MAKE) -C $(PERL_DIR) distclean
	rm $(PERL_DIR)/.configured

perl-dirclean:
	rm -rf $(PERL_DIR)

