#############################################################
#
# build GNU readline 
#
#############################################################
READLINE_VER:=5.0
READLINE_SITE:=ftp://ftp.cwru.edu/pub/bash
READLINE_SOURCE:=readline-$(READLINE_VER).tar.gz
READLINE_DIR:=$(BUILD_DIR)/readline-$(READLINE_VER)
READLINE_CAT:=zcat

#READLINE_BINARY:=libhistory.so.$(READLINE_VER)
#READLINE_TARGET_BINARY:=$(TARGET_DIR)/lib/$(READLINE_BINARY)
READLINE_BINARY:=libreadline.a
READLINE_TARGET_BINARY:=$(STAGING_DIR)/usr/lib/libreadline.a


$(DL_DIR)/$(READLINE_SOURCE):
	$(WGET) -P $(DL_DIR) $(READLINE_SITE)/$(READLINE_SOURCE)

$(READLINE_DIR)/.unpacked: $(DL_DIR)/$(READLINE_SOURCE)
	$(READLINE_CAT) $(DL_DIR)/$(READLINE_SOURCE) | tar -C $(BUILD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(READLINE_DIR) $(SOURCE_DIR) readline*.patch
	touch $(READLINE_DIR)/.unpacked


$(READLINE_DIR)/.configured: $(READLINE_DIR)/.unpacked
	touch $(READLINE_DIR)/.configured
	(cd $(READLINE_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		--with-gnu-ld \
		--enable-static \
		--enable-shared \
		--with-curses \
	);

$(READLINE_DIR)/$(READLINE_BINARY): $(READLINE_DIR)/.configured
	$(MAKE) $(JLEVEL) -C $(READLINE_DIR)

$(STAGING_DIR)/$(READLINE_TARGET_BINARY): $(READLINE_DIR)/$(READLINE_BINARY)
	$(MAKE) $(JLEVEL) DESTDIR="$(STAGING_DIR)" -C $(READLINE_DIR)  install

readline: uclibc ncurses $(STAGING_DIR)/$(READLINE_TARGET_BINARY)
	$(MAKE) $(JLEVEL) DESTDIR="$(TARGET_DIR)" -C $(READLINE_DIR)  install-shared
	rm -f $(TARGET_DIR)/usr/lib/*.old
	rm -rf $(TARGET_DIR)/usr/include
	rm -rf $(TARGET_DIR)/usr/info
	rm -rf $(TARGET_DIR)/usr/man
	$(STRIP) $(TARGET_DIR)/usr/lib/libreadline.so.5.0 $(TARGET_DIR)/usr/lib/libhistory.so.5.0

readline-clean:
	$(MAKE) -C $(READLINE_DIR) uninstall
	-$(MAKE) -C $(READLINE_DIR) clean

readline-dirclean:
	rm -rf $(READLINE_DIR)

readline-source:  $(DL_DIR)/$(READLINE_SOURCE)   $(READLINE_DIR)/.unpacked
