#############################################################
#
# mDNSResponder for RendezVous announcements
#
#############################################################
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

RENDEZVOUS_SOURCE:=mDNSResponder-58.8.tar.gz
RENDEZVOUS_SITE:=http://files.gumstix.com
RENDEZVOUS_DIR:=$(BUILD_DIR)/mDNSResponder-58.8

$(DL_DIR)/$(RENDEZVOUS_SOURCE):
	$(WGET) -P $(DL_DIR) $(RENDEZVOUS_SITE)/$(RENDEZVOUS_SOURCE)

rendezvous-source: $(DL_DIR)/$(RENDEZVOUS_SOURCE)

$(RENDEZVOUS_DIR)/.unpacked: $(DL_DIR)/$(RENDEZVOUS_SOURCE)
	zcat $(DL_DIR)/$(RENDEZVOUS_SOURCE) | tar -C $(BUILD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(RENDEZVOUS_DIR) $(SOURCE_DIR) mDNS*.patch
	touch $(RENDEZVOUS_DIR)/.unpacked

$(RENDEZVOUS_DIR)/mDNSPosix/build/mDNSResponderPosix: $(RENDEZVOUS_DIR)/.unpacked
	$(MAKE) $(JLEVEL) CC="$(TARGET_CROSS)gcc" os=linux -C $(RENDEZVOUS_DIR)/mDNSPosix Responder

$(TARGET_DIR)/usr/sbin/mDNSResponder: $(RENDEZVOUS_DIR)/mDNSPosix/build/mDNSResponderPosix
	mkdir -p $(TARGET_DIR)/usr/sbin
	install -m 0755 $(RENDEZVOUS_DIR)/mDNSPosix/build/mDNSResponderPosix $(TARGET_DIR)/usr/sbin/mDNSResponder
	$(STRIP) $(TARGET_DIR)/usr/sbin/mDNSResponder
	install -m 0755 $(SOURCE_DIR)/S50rendezvous $(TARGET_DIR)/etc/init.d
	install -m 0644 $(SOURCE_DIR)/rendezvous.conf $(TARGET_DIR)/etc

rendezvous: uclibc $(TARGET_DIR)/usr/sbin/mDNSResponder

rendezvous-clean:
	rm -f $(TARGET_DIR)/usr/sbin/mDNSResponder $(TARGET_DIR)/etc/init.d/S50rendezvous $(TARGET_DIR)/etc/rendezvous.conf
	-$(MAKE) $(JLEVEL) -C $(RENDEZVOUS_DIR)/mDNSPosix clean

rendezvous-dirclean:
	rm -rf $(RENDEZVOUS_DIR)
