#############################################################
#
# robostix
#
#############################################################

ROBOSTIX_SOURCE:=$(DL_DIR)/robostix
ROBOSTIX_REPO:=http://svn.gumstix.com/gumstix-buildroot/branches/users/ddiall/robostix/gumstix
ROBOSTIX_DIR:=$(BUILD_DIR)/robostix
COMPILED_BINARY:=$(ROBOSTIX_DIR)/robostix
TARGET_INIT_DIR:=$(TARGET_DIR)/etc/init.d
TARGET_BIN_DIR:=$(TARGET_DIR)/usr/bin
TARGET_MOD_DIR:=$(TARGET_DIR)/lib/modules/2.6.11gum/kernel/drivers/char
INIT_SCRIPT:=S10robostix
BIN_FILE_LIST:={robostix,sertest,rs-run,rs-prog,gpio-status}
KERNEL_MOD:=robostix_drv.ko

$(ROBOSTIX_SOURCE):
	svn export $(ROBOSTIX_REPO) $(ROBOSTIX_SOURCE)

robostix-source: $(ROBOSTIX_SOURCE)

$(ROBOSTIX_DIR): $(ROBOSTIX_SOURCE)
	cp -a $(ROBOSTIX_SOURCE) $(ROBOSTIX_DIR)

$(COMPILED_BINARY): $(ROBOSTIX_DIR)
	$(MAKE) -C $(ROBOSTIX_DIR) ROBOSTIX=true

# This stuff is needed to work around GNU make deficiencies
robostix-target_binary: $(COMPILED_BINARY)
	cp -a $(ROBOSTIX_DIR)/${INIT_SCRIPT} $(TARGET_INIT_DIR)
	cp -a $(ROBOSTIX_DIR)/${BIN_FILE_LIST} $(TARGET_BIN_DIR)
	cp -a $(ROBOSTIX_DIR)/${KERNEL_MOD} $(TARGET_MOD_DIR)

robostix: uclibc robostix-target_binary

robostix-clean:
	rm -f $(TARGET_BIN_DIR)/${BIN_FILE_LIST} $(TARGET_MOD_DIR)/${KERNEL_MOD}
	-$(MAKE) -C $(ROBOSTIX_DIR) clean

robostix-dirclean:
	rm -rf $(ROBOSTIX_DIR)
