#############################################################
#
# tcpdump
#
#############################################################
#
TCPDUMP_SOURCE_URL=http://www.tcpdump.org/release
TCPDUMP_SOURCE=tcpdump-3.8.3.tar.gz
TCPDUMP_BUILD_DIR=$(BUILD_DIR)/tcpdump-3.8.3

$(DL_DIR)/$(TCPDUMP_SOURCE):
	$(WGET) -P $(DL_DIR) $(TCPDUMP_SOURCE_URL)/$(TCPDUMP_SOURCE)

$(TCPDUMP_BUILD_DIR)/configure: $(DL_DIR)/$(TCPDUMP_SOURCE)
	zcat $(DL_DIR)/$(TCPDUMP_SOURCE) | tar -C $(BUILD_DIR) -xf -
	$(SOURCE_DIR)/patch-kernel.sh $(TCPDUMP_BUILD_DIR) $(SOURCE_DIR) tcpdump*.patch

$(TCPDUMP_BUILD_DIR)/Makefile: $(TCPDUMP_BUILD_DIR)/configure
	(cd $(TCPDUMP_BUILD_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
		--disable-smb \
		--disable-ipv6 \
		--without-crypto \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info );

$(TCPDUMP_BUILD_DIR)/tcpdump: $(TCPDUMP_BUILD_DIR)/Makefile $(TCPDUMP_BUILD_DIR)/../libpcap-0.8.3/libpcap.a
	$(MAKE) $(JLEVEL) -C $(TCPDUMP_BUILD_DIR)

$(TARGET_DIR)/usr/sbin/tcpdump: $(TCPDUMP_BUILD_DIR)/tcpdump
	install -m 0755 $(TCPDUMP_BUILD_DIR)/tcpdump $(TARGET_DIR)/usr/sbin
	$(STRIP) $(TARGET_DIR)/usr/sbin/tcpdump

.PHONY: tcpdump-source tcpdump

tcpdump: $(TARGET_DIR)/usr/sbin/tcpdump

tcpdump-source: $(DL_DIR)/$(TCPDUMP_SOURCE)

tcpdump-clean:
	-$(MAKE) -C $(TCPDUMP_BUILD_DIR) clean

tcpdump-dirclean:
	rm -rf $(TCPDUMP_BUILD_DIR)
