#############################################################
#
# TESTING_UTROBOT
#
#############################################################

TESTING_UTROBOT_SOURCE:=testing-utrobot-1.0.tar.gz
TESTING_UTROBOT_SITE:=http://planetlab2.dcs.bbk.ac.uk/~dima/software
TESTING_UTROBOT_DIR:=$(BUILD_DIR)/testing-utrobot-1.0
COMPILED_BINARY:=$(TESTING_UTROBOT_DIR)/test-gps/test-gps
TARGET_BINARY:=$(TARGET_DIR)/usr/bin/test-gps

$(DL_DIR)/$(TESTING_UTROBOT_SOURCE):
	 $(WGET) -P $(DL_DIR) $(TESTING_UTROBOT_SITE)/$(TESTING_UTROBOT_SOURCE)

test-gps-source: $(TESTING_UTROBOT_SOURCE)

$(TESTING_UTROBOT_DIR): $(TESTING_UTROBOT_SOURCE)
	cp -a $(TESTING_UTROBOT_SOURCE) $(TESTING_UTROBOT_DIR)

$(TESTING_UTROBOT_DIR)/.unpacked: $(DL_DIR)/$(TESTING_UTROBOT_SOURCE)
	mkdir -p $(TESTING_UTROBOT_DIR)
	zcat $(DL_DIR)/$(TESTING_UTROBOT_SOURCE) | tar -C $(BUILD_DIR) -xf -
	touch $(TESTING_UTROBOT_DIR)/.unpacked

$(TESTING_UTROBOT_DIR)/Makefile: $(TESTING_UTROBOT_DIR)/.unpacked
	(cd $(TESTING_UTROBOT_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
	);
	touch  $(TESTING_UTROBOT_DIR)/.configured

$(COMPILED_BINARY): $(TESTING_UTROBOT_DIR)/Makefile
	$(MAKE) -C $(TESTING_UTROBOT_DIR)

# This stuff is needed to work around GNU make deficiencies
test-gps-target_binary: $(COMPILED_BINARY)
	@if [ -L $(TARGET_BINARY) ] ; then \
		rm -f $(TARGET_BINARY); fi;
	@if [ ! -f $(COMPILED_BINARY) -o $(TARGET_BINARY) -ot $(COMPILED_BINARY) ] ; then \
	    set -x; \
	    rm -f $(TARGET_BINARY); \
	    cp -a $(COMPILED_BINARY) $(TARGET_BINARY); \
	fi

test-gps: uclibc test-gps-target_binary

test-gps-clean:
	rm -f $(TARGET_BINARY)
	-$(MAKE) -C $(TESTING_UTROBOT_DIR) clean

test-gps-dirclean:
	rm -rf $(TESTING_UTROBOT_DIR)
