#############################################################
#
# u-boot
#
#############################################################

UBOOT_VERSION=1.1.2

UBOOT_SOURCE=u-boot-$(UBOOT_VERSION).tar.bz2
UBOOT_SITE=ftp://ftp.denx.de/pub/u-boot
UBOOT_DIR=$(BUILD_DIR)/${shell basename $(UBOOT_SOURCE) .tar.bz2}

$(DL_DIR)/$(UBOOT_SOURCE):
	$(WGET) -P $(DL_DIR) $(UBOOT_SITE)/$(UBOOT_SOURCE)

$(UBOOT_DIR)/.unpacked:	$(DL_DIR)/$(UBOOT_SOURCE)
	bzcat $(DL_DIR)/$(UBOOT_SOURCE) | tar -C $(BUILD_DIR) -xf -
	touch $(UBOOT_DIR)/.unpacked

$(UBOOT_DIR)/.patched: $(UBOOT_DIR)/.unpacked
	$(SOURCE_DIR)/patch-kernel.sh $(UBOOT_DIR) $(SOURCE_DIR) u-boot*.patch
	touch $(UBOOT_DIR)/.patched

$(UBOOT_DIR)/.configured: $(UBOOT_DIR)/.patched
	$(MAKE) $(JLEVEL) ARCH=$(ARCH) CROSS_COMPILE=$(KERNEL_CROSS) -C $(UBOOT_DIR) gumstix_config
	touch $(UBOOT_DIR)/.configured

$(UBOOT_DIR)/u-boot.bin: $(UBOOT_DIR)/.configured
	$(MAKE) $(JLEVEL) GUMSTIX_400MHZ=$(GUMSTIX_400MHZ) ARCH=$(ARCH) CROSS_COMPILE=$(KERNEL_CROSS) -C $(UBOOT_DIR)

$(BASE_DIR)/u-boot.bin: $(UBOOT_DIR)/u-boot.bin
	cp -f $(UBOOT_DIR)/u-boot.bin $(BASE_DIR)
	cp -f $(UBOOT_DIR)/u-boot.srec $(BASE_DIR)

u-boot: $(BASE_DIR)/u-boot.bin

$(STAGING_DIR)/bin/mkimage: $(UBOOT_DIR)/.configured
	$(MAKE) $(JLEVEL) ARCH=$(ARCH) CROSS_COMPILE=$(KERNEL_CROSS) -C $(UBOOT_DIR) tools
	cp -f $(UBOOT_DIR)/tools/mkimage $(STAGING_DIR)/bin/mkimage

u-boot-source: $(DL_DIR)/$(UBOOT_SOURCE)

u-boot-clean:
	@if [ -d $(UBOOT_DIR)/Makefile ] ; then \
		$(MAKE) $(JLEVEL) ARCH=$(ARCH) CROSS_COMPILE=$(KERNEL_CROSS) -C $(UBOOT_DIR) clean ; \
	fi;

u-boot-dirclean:
	rm -rf $(UBOOT_DIR)

