#############################################################
#
# UUID tools and libraries from e2fsprogs
# 
# $Id: uuid.mk,v 1.3 2005/10/14 16:21:19 sevestre Exp $
#############################################################
UUID_VERSION:=1.38
UUID_SOURCE_URL_BASE=http://$(BR2_SOURCEFORGE_MIRROR).dl.sourceforge.net/sourceforge/e2fsprogs
UUID_SOURCE=e2fsprogs-$(UUID_VERSION).tar.gz
UUID_SOURCE_URL=$(UUID_SOURCE_URL_BASE)/$(UUID_SOURCE)
UUID_DIR=$(BUILD_DIR)/e2fsprogs-$(UUID_VERSION)
UUID_BIN=$(TARGET_DIR)/usr/bin/uuidgen

$(DL_DIR)/$(UUID_SOURCE):
	 $(WGET) -O $(DL_DIR)/$(UUID_SOURCE) $(UUID_SOURCE_URL)

$(UUID_DIR)/.source: $(DL_DIR)/$(UUID_SOURCE)
	zcat $(DL_DIR)/$(UUID_SOURCE) | tar -C $(BUILD_DIR) -xf -
	touch $(UUID_DIR)/.source

$(UUID_DIR)/.configured: $(UUID_DIR)/.source
	(cd $(UUID_DIR); PATH=$(TARGET_PATH); CC=$(TARGET_CC) \
		./configure \
		--build=$(GNU_HOST_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--enable-elf-shlibs \
		--disable-nls \
	);
	touch $(UUID_DIR)/.configured

$(UUID_DIR)/.binary: $(UUID_DIR)/.configured
	# Building libuuid and uuidgen only
	PATH=$(TARGET_PATH); $(MAKE) -C $(UUID_DIR)/lib/uuid elfshared image
	PATH=$(TARGET_PATH); $(MAKE) -C $(UUID_DIR)/misc uuidgen
	touch $(UUID_DIR)/.binary

$(UUID_BIN): $(UUID_DIR)/.binary
	-PATH=$(TARGET_PATH); $(MAKE) -C $(UUID_DIR)/lib/uuid install-shlibs-strip DESTDIR=$(TARGET_DIR)
	$(STRIP) $(UUID_DIR)/misc/uuidgen
	cp $(UUID_DIR)/misc/uuidgen $(UUID_BIN)

uuid: $(UUID_BIN)

uuid-source: $(DL_DIR)/$(UUID_SOURCE)

uuid-clean:
	rm -f $(TARGET_DIR)/usr/bin/uuidgen
	rm -f $(TARGET_DIR)/lib/libuuid*
	rm -f $(TARGET_DIR)/usr/lib/libuuid*

uuid-dirclean:
	rm $(DL_DIR)/$(UUID_SOURCE)
