/****************************************************************************
*
*  Delay.h
*
*  Routines for waiting various amounts of time.
*
****************************************************************************/

#if !defined( DELAY_H )
#define DELAY_H

#include <inttypes.h>

#if defined( __cplusplus )
extern "C"
{
#endif

extern volatile uint16_t gTickCount;

void us_spin( unsigned short us );
void ms_spin( unsigned short ms );

void Delay100uSec( uint8_t num100uSec );
void Delay10uSec( uint8_t num10uSec );

void Delay100mSec( uint8_t num100mSec );
void Delay10mSec( uint8_t num10mSec );
void Delay1mSec( uint8_t num1mSec );

void InitTimer( void );
void WaitForTimer0Rollover( void );

#if defined( __cplusplus )
}
#endif

#endif  // DELAY_H

